/**
 * @desc: 首页
 * @Create Date: 2019-08-28 17:46:50
 * @Last Modified time: 2019-08-29 14:57:51
 */
const { ccclass, property } = cc._decorator

@ccclass
export default class NewClass extends cc.Component {
  @property(cc.Node)
  platformBtn: cc.Node = null

  @property(cc.Node)
  payBtn: cc.Node = null

  @property(cc.Node)
  adBtn: cc.Node = null

  @property(cc.Node)
  mediaBtn: cc.Node = null

  @property(cc.Node)
  mainNode: cc.Node = null

  onLoad() {
    // 设置常驻节点，控制所有场景的加载
    cc.game.addPersistRootNode(this.mainNode)
    // 展示系统信息
    qg.getSystemInfo({
      success: res => {
        console.log(`系统信息: ${JSON.stringify(res)}`)
        // 全局储存平台版本号，后续可以通过 window.Global.platformVersion 获取，以检测某些游戏能力平台版本是否支持
        window['Global'] = {
          platformVersion: res.platformVersion
        }
      },
      fail: err => {
        console.log(`获取系统信息出错: ${JSON.stringify(err)}`)
      }
    })
  }

  start() {
    this.platformBtn.on(cc.Node.EventType.TOUCH_START, () => {
      cc.director.loadScene('platform')
    })

    this.payBtn.on(cc.Node.EventType.TOUCH_START, () => {
      cc.director.loadScene('pay')
    })

    this.adBtn.on(cc.Node.EventType.TOUCH_START, () => {
      cc.director.loadScene('ad')
    })
  }
}
